Create a new templatepost https://{jfrog_url}/unifiedpolicy/api/v1/templatesCreate a new template in the system.Recent RequestsLog in to see full request historyTimeStatusUser Agent Retrieving recent requests…LoadingLoading…Body ParamsTemplate input object for create/update operations with simplified fields.Foundation schema for all named resources in the system. Provides common name and description fields that all resources inherit. Used as the base for all resource payload schemas.namestringrequiredlength between 1 and 255A unique name for JFrog resources. Must be 1-255 alphanumeric characters, underscores, hyphens, and spaces.descriptionstringlength ≤ 2048A human-readable description of the resource. Optional field with a maximum length of 2048 characters. Can contain any characters.versionstringrequiredlength between 1 and 100Resource version in the JFrog platform. Must be 1-100 alphanumeric characters, underscores, hyphens, periods, and colons. Examples: "1.0.0", "v2.1.3", "1.0.0-beta.1"categorystringenumrequiredType/category of the rule.securitysecuritylegaloperationalqualityauditworkflowAllowed:securitylegaloperationalqualityauditworkflowscannersarray of objectslength between 0 and 10Defaults to List of scanner types that this template supports. Defaults to empty array if not provided.scannersADD stringregostringrequiredlength between 1 and 65536Rego policy language code for evaluation (Open Policy Agent policy language). Must be valid Rego syntax that defines evaluation logic. The policy should define an 'allow' rule that returns a boolean value. Rego supports all standard programming language characters including: Alphanumeric characters (a-z, A-Z, 0-9) Special characters (!@#$%^&*()_+-=[]{}|;:'",.<>?/~`) Whitespace characters (spaces, tabs, newlines) Unicode characters for identifiers and string literals Syntax validation should be performed by an OPA parser. This field only enforces length constraints (1-65536 characters). For Rego syntax reference, see: https://www.openpolicyagent.org/docs/latest/policy-language/parametersarray of objectsrequiredlength ≤ 20List of configurable parameters for the templateparameters*ADD objectdata_source_typestringenumrequiredThe type of data source that can be used when creating a template. Only 'noop' and 'evidence' are allowed for template creation.evidencenoopevidenceAllowed:noopevidenceResponses 201The request has succeeded. 400The request syntax was invalid or malformed, or validation failed. 401Authentication credentials are required or invalid. 403You do not have sufficient permissions to perform this action. 409The request conflicts with the current state of the resource. 500An unexpected error occurred. Please contact support.Updated about 2 months ago